import React from 'react';
import ReactDOM from 'react-dom';
import {arc} from 'd3';

const width = 960;
const height = 500;
const centerX = width/2;
const centerY = height/2;
const strokeWidth = 10;
const eyeOffsetX = 120;
const eyeOffsetY = 50;
const eyeRadius = 50;
const mouthWidth = 10;
const mouthRadius = 200;

const mouthArc = arc()
 .innerRadius(mouthWidth)
 .outerRadius(mouthRadius + mouthWidth)
 .startAngle(Math.PI/2)
 .endAngle(Math.PI*3/2);

const App =() =>(
   <svg width = {width} height = {height}>
      <g transform = {`translate(${centerX},${centerY})`}>
        <circle
              r ={centerY - strokeWidth/2}
              fill = 'yellow' 
              stroke = 'black'
              stroke-width = {strokeWidth}
          />
        <circle
              cx = {-eyeOffsetX}
              cy = {-eyeOffsetY}
              r ={eyeRadius} 
         />
        <circle
              cx = {+eyeOffsetX}
              cy = {-eyeOffsetY}
              r ={eyeRadius}
        />
        <path d={mouthArc()}/>
      </g>
    </svg>
);
  console.log(mouthArc());

const rootElement = document.getElementById("root");
ReactDOM.render(<App/>,rootElement);